Subject: RE: [Sigtran] M3UA-v02 Last Call Comment

From: "J.Javier Pastor (ML/EEM)" <[email-masked]>
Date: Tue, 27 Apr 2004 11:54:42 +0200

Hi Samuel, 

I also think like Tolga. It is not an issue with M3UA itself, but with the SG architecture. You may want to make SG product in several ways. One of them is including an SCCP layer above MTP3 to make this GT translation. 

Cheers // Javier.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of
> Samuel Dur D. Jeyaseelan
> Sent: lunes, 26 de abril de 2004 18:23
> To: Tolga Asveren
> Cc: [email-masked]
> Subject: RE: [Sigtran] M3UA-v02 Last Call Comment
> 
> 
> 
> Hi Tolga,
> 
>   Alcatel USA, Inc.                  Internet: 
> <userid>@ssd.usa.alcatel.com
>   1000 Coit Road, Plano, Texas 75075
>   ******* The opinions expressed are not those of Alcatel 
> USA, Inc. *******
> 
> On Mon, 26 Apr 2004, Tolga Asveren wrote:
> 
> > Hi Samuel,
> > 
> > > -----Original Message-----
> > > From: Samuel Dur D. Jeyaseelan 
> [mailto:[email-masked]]
> > > Sent: Monday, April 26, 2004 11:18 AM
> > > To: Tolga Asveren
> > > Cc: [email-masked]
> > > Subject: RE: [Sigtran] M3UA-v02 Last Call Comment
> > >
> > >
> > >
> > > Hi Tolga,
> > >
> > >   Alcatel USA, Inc.                  Internet:
> > > <userid>@ssd.usa.alcatel.com
> > >   1000 Coit Road, Plano, Texas 75075
> > >   ******* The opinions expressed are not those of Alcatel USA,
> > > Inc. *******
> > >
> > > On Mon, 26 Apr 2004, Tolga Asveren wrote:
> > >
> > > > Hi Samuel,
> > > >
> > > > > -----Original Message-----
> > > > > From: Samuel Dur D. Jeyaseelan 
> [mailto:[email-masked]]
> > > > > Sent: Monday, April 26, 2004 10:17 AM
> > > > > To: Tolga Asveren
> > > > > Cc: [email-masked]
> > > > > Subject: RE: [Sigtran] M3UA-v02 Last Call Comment
> > > > >
> > > > >
> > > > >
> > > > > Hi Tolga,
> > > > >
> > > > >   Alcatel USA, Inc.                  Internet:
> > > > > <userid>@ssd.usa.alcatel.com
> > > > >   1000 Coit Road, Plano, Texas 75075
> > > > >   ******* The opinions expressed are not those of Alcatel USA,
> > > > > Inc. *******
> > > > >
> > > > > On Mon, 26 Apr 2004, Tolga Asveren wrote:
> > > > >
> > > > > > Hi Samuel,
> > > > > >
> > > > > > > -----Original Message-----
> > > > > > > From: [email-masked]
> > > > > [mailto:[email-masked]]On Behalf Of
> > > > > > > Samuel Dur D. Jeyaseelan
> > > > > > > Sent: Monday, April 26, 2004 9:31 AM
> > > > > > > To: [email-masked]
> > > > > > > Subject: [Sigtran] M3UA-v02 Last Call Comment
> > > > > > >
> > > > > > >
> > > > > > >
> > > > > > > Hi all,
> > > > > > >
> > > > > > > An SCCP 
> message(cdpa->ri=rt_on_gta,cgpa->ri=rt_on_pcSsn) from
> > > > > > > networkAppearance 1 is sent to SG. Since message is
> > > destined to SG, it
> > > > > > > performs a GTT which results in PC/SSN of
> > > networkAppearance 2, here
> > > > > > > my question is What will happen to cgpa 
> parameters ? because SG
> > > > > > > can not give cgpa->pc/ssn of networkAppearance 1 to
> > > > > networkAppearance 2.
> > > > > > [TOLGA]I think GTT result always should end up in the same
> > > > > network, i.e. the
> > > > > > same NA. IMO, to do otherwise, you would need a IWF 
> on top of SCCP
> > > > > > (interworking two SCCP instances). I furthermore believe,
> > > this way of
> > > > > > operation is SS7 specific, not only applicable for M3UA
> > > case, so I would
> > > > > > think not to mention about it should be fine.
> > > > >
> > > > > Fine, but When will SG route the message across 
> networkAppearances?
> > > > [TOLGA]I believe this should be done on application 
> level. For example :
> > > >                                  SG
> > > >      +-------+              +---------------+
> > > >      |  SEP  +--------------| SS7 Ntwk |M3UA|              ----
> > > >      +-------+   SS7 links  |   "A"    |    |           
>  /      \
> > > >                             |__________|    
> +-----------+  ASPs  |
> > > >                             |          |    |           
>  \      /
> > > >      +-------+              | SS7 Ntwk |    |              ----
> > > >      |  SEP  +--------------+   "B"    |    |
> > > >      +-------+              +---------------+
> > > >
> > > > Figure2 from RFC3332
> > > >
> > > > SG receives messages from NtwkA, routes it to ASP. Then 
> it is up to the
> > > > application on ASP to process this message and possibly 
> to initiate a
> > > > message to NtwkB.
> > >
> > > I think at SG GTT is mandatory to move messages from one 
> networkAppearance
> > > to another networkAppearance. This is one of the reasons 
> why an instance
> > > of SCCP layer is kept over M3UA. One more think is only 
> after the GTT, SG
> > > routes the message to ASP with the help of new 
> PC/SSN(this is true only
> > > for this thread).
> > [TOLGA]I don't see how one can move messages between NA, 
> without IWF. If you
> > have one SCCP instance, this means that it is SCCP for a 
> specific PC, which
> > resides in one network. To relay between two networks, you 
> need something on
> > top of SCCP -something which interworks two SCCP instances 
> on different
> > PCs/networks-.
> 
> I dont say IWF is not required, what i am saying is without SCCP layer
> SG will simply become a relay node and it can not route messages 
> across networkAppearances. GTT function at SCCP layer adds an
> intellligence to SG to route the SCCP messages across 
> networkAppearances.
> Just imagine an SG without SCCP layer that means it has only 
> MTP3 layer.
> This MTP3 layer shall never know the point codes of another
> networkAppearance, it knows only about its local point codes 
> means point
> codes within the origination networkAppearance. Finally IWF comes into
> picture while delivering messages from one protocol to 
> another protocol.
> 
> > >
> > > >From 'Figure2 RFC3332' , SG even can route the messages 
> to another
> > > networkAppearance without he help of ASP. This is done 
> just by doing GTT.
> > [TOLGA]IMO, this is not the intention.
> > >
> Yes, but this is one of the intentions.
> 
> > > Since RFC3332 mentions about GTT , it should also mention 
> about few
> > > important questions such as my first_emial_question, i feel .
> > [TOLGA]IMO, your questions are relate with SS7, not 
> specifically with M3UA.
> > Also in SS7, to achieve what you want to do, you need 
> something on top of
> > SCCP.
> To do this(to differentiate point codes between NAs) nothing 
> is required
> on top of SCCP. Just SCCP is enough.
> 
> If my question is not related with M3UA, then rfc3332 should not talk
> about GTT and SCCP layer and once again i am saying it will 
> become simply
> a relay node.
> 
>  > >
> > >
> > > > >
> > > > > > >
> > > > > > > I searched in RFC but could not find any answer other than
> > > > > section 1.5.3
> > > > > > > in old_rfc which is not sufficient , i feel.
> > > > > > >
> > > > > > > --Samuel
> > > > > > >
> > > > > > >   Alcatel USA, Inc.                  Internet:
> > > > > > > <userid>@ssd.usa.alcatel.com
> > > > > > >   1000 Coit Road, Plano, Texas 75075
> > > > > > >   ******* The opinions expressed are not those of 
> Alcatel USA,
> > > > > > > Inc. *******
> > > > > > >
> > > > > > >
> > > > > > > _______________________________________________
> > > > > > > Sigtran mailing list
> > > > > > > [email-masked]
> > > > > > > https://www1.ietf.org/mailman/listinfo/sigtran
> > > > > >
> > > > > >
> > > > > > _______________________________________________
> > > > > > Sigtran mailing list
> > > > > > [email-masked]
> > > > > > https://www1.ietf.org/mailman/listinfo/sigtran
> > > > > >
> > > >
> > > >
> > > > _______________________________________________
> > > > Sigtran mailing list
> > > > [email-masked]
> > > > https://www1.ietf.org/mailman/listinfo/sigtran
> > > >
> > 
> > 
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
> > 
> 
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
> 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran